%define name emelfm2
%define version 0.0.8
%define release 2mdk 
%define prefix /usr
 
Summary: File manager using the two-panel design and Gtk2
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: File tools
Source: %{name}-%{version}.tar.bz2 
Url: http://freshmeat.net/redir/emelfm2 
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:  gtk+2-devel
BuildRequires:  gcc >= 3.3 

%description
emelFM2 is the GTK+2 port of emelFM
emelFM is a file manager that implements the popular two-panel design. It
features a simple GTK+2 interface, a flexible filetyping scheme, and a built-in
command line for executing commands without opening an xterm.

Features:
     o Simple Interface 
     o Bookmarks and History Lists 
     o Flexible filetyping scheme 
     o Multiple actions selectable for each filetype 
     o Filename, Size, and Date Filters 
     o Built-In Command Line 
     o User-defined menu 
     o Configurable Keyboard bindings 
     o Configurable Toolbar 
     o Runtime loadable plugins 

Note: EmelFM2 and EmelFM are parallel installable

%prep
 
%setup -q 
 
%build

%make PREFIX=%{prefix}

%install
rm -rf $RPM_BUILD_ROOT
%make install PREFIX=$RPM_BUILD_ROOT%{prefix}

cp --remove-destination docs/* $RPM_BUILD_DIR/%{name}-%{version}
rm -rfd $RPM_BUILD_ROOT/%{_datadir}/doc

mkdir -p $RPM_BUILD_ROOT%{_bindir}            
install -m 755  %{name}  $RPM_BUILD_ROOT%{_bindir}  

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
install -m 644 icons/icon_emelfm2_048.png %{buildroot}%{_liconsdir}/%{name}.png
install -m 644 icons/icon_emelfm2_032.png %{buildroot}%{_iconsdir}/%{name}.png
install -m 644 icons/icon_emelfm2_016.png %{buildroot}%{_miconsdir}/%{name}.png
 
 cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
command="%{name}"\
title="Emelfm2"\
longtitle="A GTK+2 file manager"\
needs="x11"\
icon="%{name}.png"\
section="System/File Tools"
EOF


%post
%{update_menus}   

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc CHANGELOG CREDITS GPL INSTALL PLUGINS README SPEC TODO WARNING help.txt 
%{_bindir}/*
%{_datadir}/pixmaps/*
%dir %_libdir/%{name}
%dir %_libdir/%{name}/plugins
%{_libdir}/%{name}/plugins/*.so
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Aug 23 2004 Charles A Edwards <eslrahc@mandrake.org> 0.0.8-2mdk
- rebuild for new menu

* Sat May 01 2004 Charles A Edwards <eslrahc@mandrake.org> 0.0.8-1mdk
- 0.0.8
- drop patch
- new files
- spec fixes

* Thu Apr 01 2004 Charles A Edwards <eslrahc@mandrake.org> 0.0.7-1mdk
- 0.0.7

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.5-2mdk 
- Fix menu entry

* Sat Jan 24 2004 Charles A Edwards <eslrahc@mandrake.org> 0.0.5-1mdk
- 0.0.5

* Sun Jan 11 2004 Charles A Edwards <eslrahc@mandrake.org> 0.0.4-1mdk
- first mdk pkg 


